# $Revision: 1.31 $, $Date: 2007/01/23 15:46:54 $
%define		mod_name	cvs
%define 	apxs		/usr/sbin/apxs1
Summary:	Apache module: Automatically updates files in a CVS-based webtree
Summary(pl):	Modu do apache: Automatyczne uaktualnianie plikw z drzewa CVS
Name:		apache1-mod_%{mod_name}
Version:	0.5
Release:	3
License:	GPL
Group:		Networking/Daemons
# working URL: http://www.sub.nu/mod_cvs/src/
# (but only separate files here, no tarball)
Source0:	ftp://ftp.sub.nu/pub/mod_cvs/mod_%{mod_name}-%{version}.tar.gz
# Source0-md5:	e2cfe7818337915e6cbaffa45852012f
URL:		http://www.sub.nu/mod_cvs/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel >= 1.3.33-2
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(triggerpostun):	%{apxs}
Requires:	apache1(EAPI)
Obsoletes:	apache-mod_cvs <= 0.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
Apache module: Automatically updates files in a CVS-based webtree.

%description -l pl
Modu do apache: Automatyczne uaktualnianie plikw z drzewa CVS.

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so -lz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

echo 'LoadModule %{mod_name}_module	modules/mod_%{mod_name}.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_%{mod_name} < 0.5-1.1
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
fi

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_cvs.spec,v $
Revision 1.31  2007/01/23 15:46:54  glen
- rel 3 (R: apache1(EAPI) instead of apache1)

Revision 1.30  2006/04/14 16:54:38  glen
- obsoletes with constant version

Revision 1.29  2006/04/14 16:50:13  glen
- use %service

Revision 1.28  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.27  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.26  2005/02/15 12:01:09  glen
- rel 2; STBR

Revision 1.25  2005/02/10 01:48:18  glen
- confdir enabled apache1

Revision 1.24  2004/09/19 15:22:00  radek
- this is apache1 module; release 1, waiting for server-side cp

Revision 1.23  2003/08/06 16:11:10  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.22  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/12/23 12:57:37  qboosh
- noted source URL

Revision 1.19  2002/08/25 18:40:58  kloczek
- add README to %doc.

Revision 1.18  2002/08/25 08:39:18  marcus
- rel.4.

Revision 1.17  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.16  2002/04/25 15:45:40  arturs
fixed a small typo

Revision 1.15  2002/03/23 22:09:31  serek
- fixes several bugs, update to current cvs releases, STBR now.

Revision 1.14  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/17 21:05:33  ankry
- release 3

Revision 1.11  2002/02/17 18:52:19  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache
- adapterized

Revision 1.10  2002/01/18 02:12:20  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/27 09:44:26  qboosh
- added Source0 URL (note: there is 0.5 on ftp)

Revision 1.8  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.7  2001/04/19 04:32:20  kloczek
- cosmetics.

Revision 1.6  2001/04/16 20:19:09  baggins
- release 2
- fixed %description

Revision 1.5  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.2  2000/03/02 18:49:09  misiek
- added build req

Revision 1.1  2000/02/21 13:36:44  waszi
- initial release
